package com.mintegral.sdk.demo;

import android.app.Application;
import android.content.res.Configuration;
import android.util.DisplayMetrics;
import android.util.Log;

public class MainApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        // test appId and appKey
        String appId = "118690";
        String appKey = "7c22942b749fe6a6e361b675e96b3ee9";
        MIntegralSDKManager.getInstance().initialize(getApplicationContext(), appKey, appId, true, null, new MIntegralSDKManager.MIntegralSDKInitializeListener() {
            @Override
            public void onInitializeSuccess(String appKey, String appID) {
                Log.e("SDKInitStatus", "onInitSuccess");
            }

            @Override
            public void onInitializeFailure(String message) {
                Log.e("SDKInitStatus", "onInitFail");
            }
        });
    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        DisplayMetrics dm = this.getBaseContext().getResources().getDisplayMetrics();
        this.getBaseContext().getResources().updateConfiguration(newConfig, dm);
    }
}
